rotmg(3)

NAME
rotmg - rotmg: generate modified (fast) plane rotation

SYNOPSIS

  Functions

subroutine drotmg (dd1, dd2, dx1, dy1, dparam)
DROTMG
subroutine srotmg (sd1, sd2, sx1, sy1, sparam)
SROTMG

Detailed Description

Function Documentation

  subroutine drotmg (double precision dd1, double precision dd2, double precision dx1, double precision dy1, double precision, dimension(5) dparam)

DROTMG

Purpose:

    !>
    !>    CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS
    !>    THE SECOND COMPONENT OF THE 2-VECTOR  (DSQRT(DD1)*DX1,DSQRT(DD2)*>    DY2)**T.
    !>    WITH DPARAM(1)=DFLAG, H HAS ONE OF THE FOLLOWING FORMS..
    !>
    !>    DFLAG=-1.D0     DFLAG=0.D0        DFLAG=1.D0     DFLAG=-2.D0
    !>
    !>      (DH11  DH12)    (1.D0  DH12)    (DH11  1.D0)    (1.D0  0.D0)
    !>    H=(          )    (          )    (          )    (          )
    !>      (DH21  DH22),   (DH21  1.D0),   (-1.D0 DH22),   (0.D0  1.D0).
    !>    LOCATIONS 2-4 OF DPARAM CONTAIN DH11, DH21, DH12, AND DH22
    !>    RESPECTIVELY. (VALUES OF 1.D0, -1.D0, OR 0.D0 IMPLIED BY THE
    !>    VALUE OF DPARAM(1) ARE NOT STORED IN DPARAM.)
    !>
    !>    THE VALUES OF GAMSQ AND RGAMSQ SET IN THE DATA STATEMENT MAY BE
    !>    INEXACT.  THIS IS OK AS THEY ARE ONLY USED FOR TESTING THE SIZE
    !>    OF DD1 AND DD2.  ALL ACTUAL SCALING OF DATA IS DONE USING GAM.
    !>
    !>

Parameters
    DD1

    !>          DD1 is DOUBLE PRECISION
    !>

    DD2

    !>          DD2 is DOUBLE PRECISION
    !>

    DX1

    !>          DX1 is DOUBLE PRECISION
    !>

    DY1

    !>          DY1 is DOUBLE PRECISION
    !>

    DPARAM

    !>          DPARAM is DOUBLE PRECISION array, dimension (5)
    !>     DPARAM(1)=DFLAG
    !>     DPARAM(2)=DH11
    !>     DPARAM(3)=DH21
    !>     DPARAM(4)=DH12
    !>     DPARAM(5)=DH22
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine srotmg (real sd1, real sd2, real sx1, real sy1, real, dimension(5) sparam)

SROTMG

Purpose:

    !>
    !>    CONSTRUCT THE MODIFIED GIVENS TRANSFORMATION MATRIX H WHICH ZEROS
    !>    THE SECOND COMPONENT OF THE 2-VECTOR  (SQRT(SD1)*SX1,SQRT(SD2)*>    SY2)**T.
    !>    WITH SPARAM(1)=SFLAG, H HAS ONE OF THE FOLLOWING FORMS..
    !>
    !>    SFLAG=-1.E0     SFLAG=0.E0        SFLAG=1.E0     SFLAG=-2.E0
    !>
    !>      (SH11  SH12)    (1.E0  SH12)    (SH11  1.E0)    (1.E0  0.E0)
    !>    H=(          )    (          )    (          )    (          )
    !>      (SH21  SH22),   (SH21  1.E0),   (-1.E0 SH22),   (0.E0  1.E0).
    !>    LOCATIONS 2-4 OF SPARAM CONTAIN SH11,SH21,SH12, AND SH22
    !>    RESPECTIVELY. (VALUES OF 1.E0, -1.E0, OR 0.E0 IMPLIED BY THE
    !>    VALUE OF SPARAM(1) ARE NOT STORED IN SPARAM.)
    !>
    !>    THE VALUES OF GAMSQ AND RGAMSQ SET IN THE DATA STATEMENT MAY BE
    !>    INEXACT.  THIS IS OK AS THEY ARE ONLY USED FOR TESTING THE SIZE
    !>    OF SD1 AND SD2.  ALL ACTUAL SCALING OF DATA IS DONE USING GAM.
    !>
    !>

Parameters
    SD1

    !>          SD1 is REAL
    !>

    SD2

    !>          SD2 is REAL
    !>

    SX1

    !>          SX1 is REAL
    !>

    SY1

    !>          SY1 is REAL
    !>

    SPARAM

    !>          SPARAM is REAL array, dimension (5)
    !>     SPARAM(1)=SFLAG
    !>     SPARAM(2)=SH11
    !>     SPARAM(3)=SH21
    !>     SPARAM(4)=SH12
    !>     SPARAM(5)=SH22
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.